<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="65">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="true">
      <itemPath>Makefile</itemPath>
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
      <itemPath>main.c</itemPath>
      <itemPath>powerup.S</itemPath>
    </logicalFolder>
  </logicalFolder>
  <sourceRootList>
    <Elem>.</Elem>
  </sourceRootList>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="PIC12F675" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>PIC12F675</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>noID</platformTool>
        <languageToolchain>XC8</languageToolchain>
        <languageToolchainVersion>2.46</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <packs>
        <pack name="PIC10-12Fxxx_DFP" vendor="Microchip" version="1.7.178"/>
      </packs>
      <ScriptingSettings>
      </ScriptingSettings>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>true</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeUseCleanTarget>false</makeUseCleanTarget>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <HI-TECH-COMP>
        <property key="additional-warnings" value="true"/>
        <property key="asmlist" value="true"/>
        <property key="call-prologues" value="false"/>
        <property key="default-bitfield-type" value="true"/>
        <property key="default-char-type" value="true"/>
        <property key="define-macros" value=""/>
        <property key="disable-optimizations" value="false"/>
        <property key="extra-include-directories" value=""/>
        <property key="favor-optimization-for" value="-speed,+space"/>
        <property key="garbage-collect-data" value="true"/>
        <property key="garbage-collect-functions" value="true"/>
        <property key="identifier-length" value="255"/>
        <property key="local-generation" value="false"/>
        <property key="operation-mode" value="std"/>
        <property key="opt-xc8-compiler-strict_ansi" value="false"/>
        <property key="optimization-assembler" value="true"/>
        <property key="optimization-assembler-files" value="true"/>
        <property key="optimization-debug" value="false"/>
        <property key="optimization-invariant-enable" value="false"/>
        <property key="optimization-invariant-value" value="16"/>
        <property key="optimization-level" value="-O2"/>
        <property key="optimization-speed" value="false"/>
        <property key="optimization-stable-enable" value="false"/>
        <property key="preprocess-assembler" value="true"/>
        <property key="short-enums" value="true"/>
        <property key="tentative-definitions" value="-fno-common"/>
        <property key="undefine-macros" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="verbose" value="false"/>
        <property key="warning-level" value="-3"/>
        <property key="what-to-do" value="ignore"/>
      </HI-TECH-COMP>
      <HI-TECH-LINK>
        <property key="additional-options-checksum" value=""/>
        <property key="additional-options-checksumAVR" value=""/>
        <property key="additional-options-code-offset" value=""/>
        <property key="additional-options-command-line" value=""/>
        <property key="additional-options-errata" value=""/>
        <property key="additional-options-extend-address" value="false"/>
        <property key="additional-options-trace-type" value=""/>
        <property key="additional-options-use-response-files" value="false"/>
        <property key="backup-reset-condition-flags" value="false"/>
        <property key="calibrate-oscillator" value="false"/>
        <property key="calibrate-oscillator-value" value="0x3400"/>
        <property key="clear-bss" value="true"/>
        <property key="code-model-external" value="wordwrite"/>
        <property key="code-model-rom" value=""/>
        <property key="create-html-files" value="false"/>
        <property key="data-model-ram" value=""/>
        <property key="data-model-size-of-double" value="32"/>
        <property key="data-model-size-of-double-gcc" value="no-short-double"/>
        <property key="data-model-size-of-float" value="32"/>
        <property key="data-model-size-of-float-gcc" value="no-short-float"/>
        <property key="display-class-usage" value="false"/>
        <property key="display-hex-usage" value="false"/>
        <property key="display-overall-usage" value="true"/>
        <property key="display-psect-usage" value="true"/>
        <property key="extra-lib-directories" value=""/>
        <property key="fill-flash-options-addr" value=""/>
        <property key="fill-flash-options-const" value=""/>
        <property key="fill-flash-options-how" value="0"/>
        <property key="fill-flash-options-inc-const" value="1"/>
        <property key="fill-flash-options-increment" value=""/>
        <property key="fill-flash-options-seq" value=""/>
        <property key="fill-flash-options-what" value="0"/>
        <property key="format-hex-file-for-download" value="true"/>
        <property key="initialize-data" value="false"/>
        <property key="input-libraries" value="libm"/>
        <property key="keep-generated-startup.as" value="true"/>
        <property key="link-in-c-library" value="false"/>
        <property key="link-in-c-library-gcc" value="-nodefaultlibs"/>
        <property key="link-in-peripheral-library" value="false"/>
        <property key="managed-stack" value="false"/>
        <property key="opt-xc8-linker-file" value="false"/>
        <property key="opt-xc8-linker-link_startup" value="false"/>
        <property key="opt-xc8-linker-serial" value=""/>
        <property key="program-the-device-with-default-config-words" value="false"/>
        <property key="remove-unused-sections" value="true"/>
      </HI-TECH-LINK>
      <PICkit3PlatformTool>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="Freeze Peripherals" value="true"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>
        <property key="debugoptions.debug-startup" value="Use system settings"/>
        <property key="debugoptions.reset-behaviour" value="Use system settings"/>
        <property key="debugoptions.useswbreakpoints" value="false"/>
        <property key="event.recorder.debugger.behavior" value="Running"/>
        <property key="event.recorder.enabled" value="false"/>
        <property key="event.recorder.scvd.files" value=""/>
        <property key="hwtoolclock.frcindebug" value="false"/>
        <property key="lastid" value=""/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0-3ff"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programmertogo.imagename" value=""/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.pgmspeed" value="2"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges"
                  value="${programoptions.preservedataflash.ranges}"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value="0-7f"/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.programcalmem" value="false"/>
        <property key="programoptions.programuserotp" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VDDFirst"/>
        <property key="programoptions.usehighvoltageonmclr" value="false"/>
        <property key="programoptions.uselvpprogramming" value="false"/>
        <property key="voltagevalue" value="5.0"/>
      </PICkit3PlatformTool>
      <Simulator>
        <property key="codecoverage.enabled" value="Disable"/>
        <property key="codecoverage.enableoutputtofile" value="false"/>
        <property key="codecoverage.outputfile" value=""/>
        <property key="debugoptions.debug-startup" value="Use system settings"/>
        <property key="debugoptions.reset-behaviour" value="Use system settings"/>
        <property key="event.recorder.enabled" value="false"/>
        <property key="event.recorder.scvd.files" value=""/>
        <property key="lastid" value=""/>
        <property key="oscillator.auxfrequency" value="120"/>
        <property key="oscillator.auxfrequencyunit" value="Mega"/>
        <property key="oscillator.frequency" value="1"/>
        <property key="oscillator.frequencyunit" value="Mega"/>
        <property key="oscillator.rcfrequency" value="250"/>
        <property key="oscillator.rcfrequencyunit" value="Kilo"/>
        <property key="periphADC1.altscl" value="false"/>
        <property key="periphADC1.minTacq" value=""/>
        <property key="periphADC1.tacqunits" value="microseconds"/>
        <property key="periphADC2.altscl" value="false"/>
        <property key="periphADC2.minTacq" value=""/>
        <property key="periphADC2.tacqunits" value="microseconds"/>
        <property key="periphComp1.gte" value="gt"/>
        <property key="periphComp2.gte" value="gt"/>
        <property key="periphComp3.gte" value="gt"/>
        <property key="periphComp4.gte" value="gt"/>
        <property key="periphComp5.gte" value="gt"/>
        <property key="periphComp6.gte" value="gt"/>
        <property key="reset.scl" value="false"/>
        <property key="reset.type" value="MCLR"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="tracecontrol.include.timestamp" value="summarydataenabled"/>
        <property key="tracecontrol.select" value="0"/>
        <property key="tracecontrol.stallontracebufferfull" value="false"/>
        <property key="tracecontrol.timestamp" value="0"/>
        <property key="tracecontrol.tracebufmax" value="546000"/>
        <property key="tracecontrol.tracefile" value="defmplabxtrace.log"/>
        <property key="tracecontrol.traceresetonrun" value="false"/>
        <property key="uart0io.output" value="window"/>
        <property key="uart0io.outputfile" value=""/>
        <property key="uart0io.uartioenabled" value="false"/>
        <property key="uart1io.output" value="window"/>
        <property key="uart1io.outputfile" value=""/>
        <property key="uart1io.uartioenabled" value="false"/>
        <property key="uart2io.output" value="window"/>
        <property key="uart2io.outputfile" value=""/>
        <property key="uart2io.uartioenabled" value="false"/>
        <property key="uart3io.output" value="window"/>
        <property key="uart3io.outputfile" value=""/>
        <property key="uart3io.uartioenabled" value="false"/>
        <property key="uart4io.output" value="window"/>
        <property key="uart4io.outputfile" value=""/>
        <property key="uart4io.uartioenabled" value="false"/>
        <property key="uart5io.output" value="window"/>
        <property key="uart5io.outputfile" value=""/>
        <property key="uart5io.uartioenabled" value="false"/>
        <property key="uart6io.output" value="window"/>
        <property key="uart6io.outputfile" value=""/>
        <property key="uart6io.uartioenabled" value="false"/>
        <property key="usart0io.output" value="window"/>
        <property key="usart0io.outputfile" value=""/>
        <property key="usart0io.uartioenabled" value="false"/>
        <property key="usart1io.output" value="window"/>
        <property key="usart1io.outputfile" value=""/>
        <property key="usart1io.uartioenabled" value="false"/>
        <property key="usart2io.output" value="window"/>
        <property key="usart2io.outputfile" value=""/>
        <property key="usart2io.uartioenabled" value="false"/>
        <property key="usart3io.output" value="window"/>
        <property key="usart3io.outputfile" value=""/>
        <property key="usart3io.uartioenabled" value="false"/>
        <property key="usart4io.output" value="window"/>
        <property key="usart4io.outputfile" value=""/>
        <property key="usart4io.uartioenabled" value="false"/>
        <property key="usartc0io.output" value="window"/>
        <property key="usartc0io.outputfile" value=""/>
        <property key="usartc0io.uartioenabled" value="false"/>
        <property key="usartc1io.output" value="window"/>
        <property key="usartc1io.outputfile" value=""/>
        <property key="usartc1io.uartioenabled" value="false"/>
        <property key="usartd0io.output" value="window"/>
        <property key="usartd0io.outputfile" value=""/>
        <property key="usartd0io.uartioenabled" value="false"/>
        <property key="usartd1io.output" value="window"/>
        <property key="usartd1io.outputfile" value=""/>
        <property key="usartd1io.uartioenabled" value="false"/>
        <property key="usarte0io.output" value="window"/>
        <property key="usarte0io.outputfile" value=""/>
        <property key="usarte0io.uartioenabled" value="false"/>
        <property key="usarte1io.output" value="window"/>
        <property key="usarte1io.outputfile" value=""/>
        <property key="usarte1io.uartioenabled" value="false"/>
        <property key="usarte2io.output" value="window"/>
        <property key="usarte2io.outputfile" value=""/>
        <property key="usarte2io.uartioenabled" value="false"/>
        <property key="usartf0io.output" value="window"/>
        <property key="usartf0io.outputfile" value=""/>
        <property key="usartf0io.uartioenabled" value="false"/>
        <property key="usartf1io.output" value="window"/>
        <property key="usartf1io.outputfile" value=""/>
        <property key="usartf1io.uartioenabled" value="false"/>
        <property key="warningmessagebreakoptions.W0001_CORE_BITREV_MODULO_EN"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0002_CORE_SECURE_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0003_CORE_SW_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0004_CORE_WDT_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0005_CORE_IOPUW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0006_CORE_CODE_GUARD_PFC_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0007_CORE_DO_LOOP_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0008_CORE_DO_LOOP_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0009_CORE_NESTED_DO_LOOP_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0010_CORE_SIM32_ODD_WORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0011_CORE_SIM32_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0012_CORE_STACK_OVERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0013_CORE_STACK_UNDERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0014_CORE_INVALID_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0015_CORE_INVALID_ALT_WREG_SET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0016_CORE_STACK_ERROR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0017_CORE_ODD_RAMWORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0018_CORE_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0019_CORE_UNIMPLEMENTED_PROMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0020_CORE_ACCESS_NOTIN_X_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0021_CORE_ACCESS_NOTIN_Y_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0022_CORE_XMODEND_LESS_XMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0023_CORE_YMODEND_LESS_YMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0024_CORE_BITREV_MOD_IS_ZERO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0025_CORE_HARD_TRAP" value="report"/>
        <property key="warningmessagebreakoptions.W0026_CORE_UNIMPLEMENTED_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0027_CORE_UNIMPLEMENTED_EDSACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0028_TBLRD_WORM_CONFIG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0029_TBLRD_DEVICE_ID" value="report"/>
        <property key="warningmessagebreakoptions.W0030_CORE_UNIMPLEMENTED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0031_BSLIM_INSUFFICIENT_BOOT_SEGMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0032_BSLIM_LIMITS_EXCEEDS_PROG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0033_CORE_UNPREDICTABLE_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0034_CORE_UNALIGNED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0035_CORE_UNIMPLEMENTED_RAMACCESS_NOTRAP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0036_UNIMPLEMENTED_INSTRUCTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0040_FPU_DIFF_CP10_CP11"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0041_FPU_ACCESS_DENIED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0042_FPU_PRIVILEGED_ACCESS_ONLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0043_FPU_CP_RESERVED_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0044_FPU_OUT_OF_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0051_INSTRUCTION_DIV_NOT_ENOUGH_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0052_INSTRUCTION_DIV_TOO_MANY_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0053_INVALID_INTCON_VS_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0101_SIM_UPDATE_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0102_SIM_PERIPH_MISSING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0103_SIM_PERIPH_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0104_SIM_FAILED_TO_INIT_TOOL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0105_SIM_INVALID_FIELD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0106_SIM_PERIPH_PARTIAL_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0107_SIM_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0108_SIM_RESERVED_SETTING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0109_SIM_PERIPHERAL_IN_DEVELOPMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0110_SIM_UNEXPECTED_EVENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0111_SIM_UNSUPPORTED_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0112_SIM_INVALID_OPERATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0113_SIM_WRITE_TO_PROTECTED_SFR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0114_SIM_INVALID_KEY" value="report"/>
        <property key="warningmessagebreakoptions.W0115_SIM_FAILED_TO_PARSE_DEVICE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0116_SIM_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0117_SIM_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0118_SIM_INVALID_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0119_SIM_SAMPLING_RATE_VIOLATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0201_ADC_NO_STIMULUS_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0202_ADC_GO_DONE_BIT" value="report"/>
        <property key="warningmessagebreakoptions.W0203_ADC_MINIMUM_2_TAD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0204_ADC_TAD_TOO_SMALL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0205_ADC_UNEXPECTED_TRANSITION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0206_ADC_SAMP_TIME_TOO_SHORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0207_ADC_NO_PINS_SCANNED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0208_ADC_UNSUPPORTED_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0209_ADC_ANALOG_CHANNEL_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0210_ADC_ANALOG_CHANNEL_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0211_ADC_PIN_INVALID_CHANNEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0212_ADC_BAND_GAP_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0213_ADC_RESERVED_SSRC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0214_ADC_POSITIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0215_ADC_POSITIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0216_ADC_NEGATIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0217_ADC_NEGATIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0218_ADC_REFERENCE_HIGH_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0219_ADC_REFERENCE_HIGH_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0220_ADC_REFERENCE_LOW_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0221_ADC_REFERENCE_LOW_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0222_ADC_OVERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0223_ADC_UNDERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0224_ADC_CTMU_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0225_ADC_INVALID_CH0S"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0226_ADC_VBAT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0227_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0228_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0229_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0230_ADC_TRIGSEL_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0231_ADC_NOT_WARMED" value="report"/>
        <property key="warningmessagebreakoptions.W0232_ADC_CALIBRATION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0233_ADC_CORE_POWERED_EARLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0234_ADC_ALREADY_CALIBRATING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0235_ADC_CAL_TYPE_CHANGED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0236_ADC_CAL_INVALIDATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0237_ADC_UNKNOWN_DATASHEET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0238_ADC_INVALID_SFR_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0239_ADC_UNSUPPORTED_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0240_ADC_NOT_CALIBRATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0241_ADC_FRACTIONAL_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0242_ADC_BG_INT_BEFORE_PWR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0243_ADC_INVALID_TAD" value="report"/>
        <property key="warningmessagebreakoptions.W0244_ADC_CONVERSION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0245_ADC_BUFREGEN_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0246_ADC_ACCUMULATION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0247_ADC_CONVERSION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0300_NVM_WR_BEFORE_KEY_SEQ"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0400_PWM_PWM_FASTER_THAN_FOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0600_WDT_2ND_WDT_MR_WRITE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_EXPIRED" value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_RESET_OUTSIDE_WINDOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0700_CLC_GENERAL_WARNING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0701_CLC_CLCOUT_AS_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0702_CLC_CIRCULAR_LOOP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0800_ACC_INPUT_INVALID_CONFIG"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0801_ACC_INPUT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0802_ACC_INVERTED_WINDOW_LIMITS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0803_ACC_MISMATCHED_POS_INPUTS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0804_ACC_WINDOW_COMP_DISABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0805_ACC_WINDOW_COMPS_MODES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0806_ACC_FEATURE_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10001_RESERVED_IRQ_HANDLER_INVOKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10002_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10101_UNSUPPORTED_CHANNEL_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10102_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10103_UNSUPPORTED_RECEIVER_FILTER"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10301_NO_PORT_PINS_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10500_UNSUPPORTED_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1201_DATAFLASH_MEM_OUTSIDE_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1202_DATAFLASH_ERASE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1203_DATAFLASH_WRITE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1401_DMA_PERIPH_NOT_AVAIL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1402_DMA_INVALID_IRQ" value="report"/>
        <property key="warningmessagebreakoptions.W1403_DMA_INVALID_SFR" value="report"/>
        <property key="warningmessagebreakoptions.W1404_DMA_INVALID_DMA_ADDR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1405_DMA_IRQ_DIR_MISMATCH"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1600_PPS_INVALID_MAP" value="report"/>
        <property key="warningmessagebreakoptions.W1601_PPS_INVALID_PIN_DESCRIPTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1800_PWM_TIMER_SELECTION_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1801_PWM_TIMER_SELECTION_BAD_CLOCK_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1802_PWM_TIMER_MISSING_PERSCALER_INFO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2001_INPUTCAPTURE_TMR3_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2002_INPUTCAPTURE_CAPTURE_EMPTY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2003_INPUTCAPTURE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2004_INPUTCAPTURE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2501_OUTPUTCOMPARE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2502_OUTPUTCOMPARE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2503_OUTPUTCOMPARE_BAD_TRIGGER_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2700_MPU_ILLEGAL_DREGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2701_MPU_INVALID_REGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3000_LPM_READ_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3010_SPM_WRITE_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6001_RTT_FORBIDDEN_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6002_RTT_BAD_WRITING_ALMV"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6003_RTT_BAD_WRITING_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7001_SMT_CLK_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7002_SMT_SIG_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7003_SMT_WIN_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8001_OSC_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8002_OSC_RESERVED_FEXTOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9001_TMR_GATE_AND_EXTCLOCK_ENABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9002_TMR_NO_PIN_AVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9003_TMR_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9201_UART_TX_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9202_UART_TX_CAPTUREFILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9203_UART_TX_INVALIDINTERRUPTMODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9204_UART_RX_EMPTY_QUEUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9205_UART_TX_BADFILE" value="report"/>
        <property key="warningmessagebreakoptions.W9206_UART_RESERVED_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9207_UART_UNABLETOCLOSE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9401_CVREF_INVALIDSOURCESELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9402_CVREF_INPUT_OUTPUTPINCONFLICT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9601_COMP_FVR_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9602_COMP_DAC_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9603_COMP_CVREF_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9604_COMP_SLOPE_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9605_COMP_PRG_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9607_COMP_DGTL_FLTR_OPTION_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9609_COMP_DGTL_FLTR_CLK_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_FVR_INVALID_MODE_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_SCL_BAD_SUBTYPE_INDICATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9802_SCL_FILE_NOT_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9803_SCL_FAILED_TO_READ_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9804_SCL_UNRECOGNIZED_LABEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9805_SCL_UNRECOGNIZED_VAR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9901_RTSP_INVALID_OPERATION_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9902_RTSP_FLASH_PROGRAM_WRITE_PROTECTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.displaywarningmessagesoption"
                  value=""/>
        <property key="warningmessagebreakoptions.warningmessages" value="holdstate"/>
      </Simulator>
      <Tool>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="Freeze Peripherals" value="true"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>
        <property key="codecoverage.enabled" value="Disable"/>
        <property key="codecoverage.enableoutputtofile" value="false"/>
        <property key="codecoverage.outputfile" value=""/>
        <property key="debugoptions.debug-startup" value="Use system settings"/>
        <property key="debugoptions.reset-behaviour" value="Use system settings"/>
        <property key="debugoptions.useswbreakpoints" value="false"/>
        <property key="event.recorder.debugger.behavior" value="Running"/>
        <property key="event.recorder.enabled" value="false"/>
        <property key="event.recorder.scvd.files" value=""/>
        <property key="hwtoolclock.frcindebug" value="false"/>
        <property key="lastid" value=""/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0-3ff"/>
        <property key="oscillator.auxfrequency" value="120"/>
        <property key="oscillator.auxfrequencyunit" value="Mega"/>
        <property key="oscillator.frequency" value="1"/>
        <property key="oscillator.frequencyunit" value="Mega"/>
        <property key="oscillator.rcfrequency" value="250"/>
        <property key="oscillator.rcfrequencyunit" value="Kilo"/>
        <property key="periphADC1.altscl" value="false"/>
        <property key="periphADC1.minTacq" value=""/>
        <property key="periphADC1.tacqunits" value="microseconds"/>
        <property key="periphADC2.altscl" value="false"/>
        <property key="periphADC2.minTacq" value=""/>
        <property key="periphADC2.tacqunits" value="microseconds"/>
        <property key="periphComp1.gte" value="gt"/>
        <property key="periphComp2.gte" value="gt"/>
        <property key="periphComp3.gte" value="gt"/>
        <property key="periphComp4.gte" value="gt"/>
        <property key="periphComp5.gte" value="gt"/>
        <property key="periphComp6.gte" value="gt"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programmertogo.imagename" value=""/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.pgmspeed" value="2"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges"
                  value="${programoptions.preservedataflash.ranges}"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value="0-7f"/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.programcalmem" value="false"/>
        <property key="programoptions.programuserotp" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VDDFirst"/>
        <property key="programoptions.usehighvoltageonmclr" value="false"/>
        <property key="programoptions.uselvpprogramming" value="false"/>
        <property key="reset.scl" value="false"/>
        <property key="reset.type" value="MCLR"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="tracecontrol.include.timestamp" value="summarydataenabled"/>
        <property key="tracecontrol.select" value="0"/>
        <property key="tracecontrol.stallontracebufferfull" value="false"/>
        <property key="tracecontrol.timestamp" value="0"/>
        <property key="tracecontrol.tracebufmax" value="546000"/>
        <property key="tracecontrol.tracefile" value="defmplabxtrace.log"/>
        <property key="tracecontrol.traceresetonrun" value="false"/>
        <property key="uart0io.output" value="window"/>
        <property key="uart0io.outputfile" value=""/>
        <property key="uart0io.uartioenabled" value="false"/>
        <property key="uart1io.output" value="window"/>
        <property key="uart1io.outputfile" value=""/>
        <property key="uart1io.uartioenabled" value="false"/>
        <property key="uart2io.output" value="window"/>
        <property key="uart2io.outputfile" value=""/>
        <property key="uart2io.uartioenabled" value="false"/>
        <property key="uart3io.output" value="window"/>
        <property key="uart3io.outputfile" value=""/>
        <property key="uart3io.uartioenabled" value="false"/>
        <property key="uart4io.output" value="window"/>
        <property key="uart4io.outputfile" value=""/>
        <property key="uart4io.uartioenabled" value="false"/>
        <property key="uart5io.output" value="window"/>
        <property key="uart5io.outputfile" value=""/>
        <property key="uart5io.uartioenabled" value="false"/>
        <property key="uart6io.output" value="window"/>
        <property key="uart6io.outputfile" value=""/>
        <property key="uart6io.uartioenabled" value="false"/>
        <property key="usart0io.output" value="window"/>
        <property key="usart0io.outputfile" value=""/>
        <property key="usart0io.uartioenabled" value="false"/>
        <property key="usart1io.output" value="window"/>
        <property key="usart1io.outputfile" value=""/>
        <property key="usart1io.uartioenabled" value="false"/>
        <property key="usart2io.output" value="window"/>
        <property key="usart2io.outputfile" value=""/>
        <property key="usart2io.uartioenabled" value="false"/>
        <property key="usart3io.output" value="window"/>
        <property key="usart3io.outputfile" value=""/>
        <property key="usart3io.uartioenabled" value="false"/>
        <property key="usart4io.output" value="window"/>
        <property key="usart4io.outputfile" value=""/>
        <property key="usart4io.uartioenabled" value="false"/>
        <property key="usartc0io.output" value="window"/>
        <property key="usartc0io.outputfile" value=""/>
        <property key="usartc0io.uartioenabled" value="false"/>
        <property key="usartc1io.output" value="window"/>
        <property key="usartc1io.outputfile" value=""/>
        <property key="usartc1io.uartioenabled" value="false"/>
        <property key="usartd0io.output" value="window"/>
        <property key="usartd0io.outputfile" value=""/>
        <property key="usartd0io.uartioenabled" value="false"/>
        <property key="usartd1io.output" value="window"/>
        <property key="usartd1io.outputfile" value=""/>
        <property key="usartd1io.uartioenabled" value="false"/>
        <property key="usarte0io.output" value="window"/>
        <property key="usarte0io.outputfile" value=""/>
        <property key="usarte0io.uartioenabled" value="false"/>
        <property key="usarte1io.output" value="window"/>
        <property key="usarte1io.outputfile" value=""/>
        <property key="usarte1io.uartioenabled" value="false"/>
        <property key="usarte2io.output" value="window"/>
        <property key="usarte2io.outputfile" value=""/>
        <property key="usarte2io.uartioenabled" value="false"/>
        <property key="usartf0io.output" value="window"/>
        <property key="usartf0io.outputfile" value=""/>
        <property key="usartf0io.uartioenabled" value="false"/>
        <property key="usartf1io.output" value="window"/>
        <property key="usartf1io.outputfile" value=""/>
        <property key="usartf1io.uartioenabled" value="false"/>
        <property key="voltagevalue" value="5.0"/>
        <property key="warningmessagebreakoptions.W0001_CORE_BITREV_MODULO_EN"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0002_CORE_SECURE_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0003_CORE_SW_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0004_CORE_WDT_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0005_CORE_IOPUW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0006_CORE_CODE_GUARD_PFC_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0007_CORE_DO_LOOP_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0008_CORE_DO_LOOP_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0009_CORE_NESTED_DO_LOOP_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0010_CORE_SIM32_ODD_WORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0011_CORE_SIM32_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0012_CORE_STACK_OVERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0013_CORE_STACK_UNDERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0014_CORE_INVALID_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0015_CORE_INVALID_ALT_WREG_SET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0016_CORE_STACK_ERROR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0017_CORE_ODD_RAMWORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0018_CORE_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0019_CORE_UNIMPLEMENTED_PROMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0020_CORE_ACCESS_NOTIN_X_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0021_CORE_ACCESS_NOTIN_Y_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0022_CORE_XMODEND_LESS_XMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0023_CORE_YMODEND_LESS_YMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0024_CORE_BITREV_MOD_IS_ZERO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0025_CORE_HARD_TRAP" value="report"/>
        <property key="warningmessagebreakoptions.W0026_CORE_UNIMPLEMENTED_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0027_CORE_UNIMPLEMENTED_EDSACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0028_TBLRD_WORM_CONFIG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0029_TBLRD_DEVICE_ID" value="report"/>
        <property key="warningmessagebreakoptions.W0030_CORE_UNIMPLEMENTED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0031_BSLIM_INSUFFICIENT_BOOT_SEGMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0032_BSLIM_LIMITS_EXCEEDS_PROG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0033_CORE_UNPREDICTABLE_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0034_CORE_UNALIGNED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0035_CORE_UNIMPLEMENTED_RAMACCESS_NOTRAP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0036_UNIMPLEMENTED_INSTRUCTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0040_FPU_DIFF_CP10_CP11"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0041_FPU_ACCESS_DENIED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0042_FPU_PRIVILEGED_ACCESS_ONLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0043_FPU_CP_RESERVED_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0044_FPU_OUT_OF_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0051_INSTRUCTION_DIV_NOT_ENOUGH_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0052_INSTRUCTION_DIV_TOO_MANY_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0053_INVALID_INTCON_VS_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0101_SIM_UPDATE_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0102_SIM_PERIPH_MISSING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0103_SIM_PERIPH_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0104_SIM_FAILED_TO_INIT_TOOL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0105_SIM_INVALID_FIELD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0106_SIM_PERIPH_PARTIAL_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0107_SIM_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0108_SIM_RESERVED_SETTING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0109_SIM_PERIPHERAL_IN_DEVELOPMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0110_SIM_UNEXPECTED_EVENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0111_SIM_UNSUPPORTED_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0112_SIM_INVALID_OPERATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0113_SIM_WRITE_TO_PROTECTED_SFR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0114_SIM_INVALID_KEY" value="report"/>
        <property key="warningmessagebreakoptions.W0115_SIM_FAILED_TO_PARSE_DEVICE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0116_SIM_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0117_SIM_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0118_SIM_INVALID_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0119_SIM_SAMPLING_RATE_VIOLATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0201_ADC_NO_STIMULUS_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0202_ADC_GO_DONE_BIT" value="report"/>
        <property key="warningmessagebreakoptions.W0203_ADC_MINIMUM_2_TAD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0204_ADC_TAD_TOO_SMALL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0205_ADC_UNEXPECTED_TRANSITION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0206_ADC_SAMP_TIME_TOO_SHORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0207_ADC_NO_PINS_SCANNED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0208_ADC_UNSUPPORTED_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0209_ADC_ANALOG_CHANNEL_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0210_ADC_ANALOG_CHANNEL_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0211_ADC_PIN_INVALID_CHANNEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0212_ADC_BAND_GAP_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0213_ADC_RESERVED_SSRC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0214_ADC_POSITIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0215_ADC_POSITIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0216_ADC_NEGATIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0217_ADC_NEGATIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0218_ADC_REFERENCE_HIGH_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0219_ADC_REFERENCE_HIGH_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0220_ADC_REFERENCE_LOW_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0221_ADC_REFERENCE_LOW_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0222_ADC_OVERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0223_ADC_UNDERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0224_ADC_CTMU_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0225_ADC_INVALID_CH0S"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0226_ADC_VBAT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0227_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0228_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0229_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0230_ADC_TRIGSEL_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0231_ADC_NOT_WARMED" value="report"/>
        <property key="warningmessagebreakoptions.W0232_ADC_CALIBRATION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0233_ADC_CORE_POWERED_EARLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0234_ADC_ALREADY_CALIBRATING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0235_ADC_CAL_TYPE_CHANGED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0236_ADC_CAL_INVALIDATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0237_ADC_UNKNOWN_DATASHEET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0238_ADC_INVALID_SFR_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0239_ADC_UNSUPPORTED_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0240_ADC_NOT_CALIBRATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0241_ADC_FRACTIONAL_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0242_ADC_BG_INT_BEFORE_PWR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0243_ADC_INVALID_TAD" value="report"/>
        <property key="warningmessagebreakoptions.W0244_ADC_CONVERSION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0245_ADC_BUFREGEN_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0246_ADC_ACCUMULATION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0247_ADC_CONVERSION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0300_NVM_WR_BEFORE_KEY_SEQ"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0400_PWM_PWM_FASTER_THAN_FOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0600_WDT_2ND_WDT_MR_WRITE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_EXPIRED" value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_RESET_OUTSIDE_WINDOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0700_CLC_GENERAL_WARNING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0701_CLC_CLCOUT_AS_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0702_CLC_CIRCULAR_LOOP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0800_ACC_INPUT_INVALID_CONFIG"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0801_ACC_INPUT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0802_ACC_INVERTED_WINDOW_LIMITS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0803_ACC_MISMATCHED_POS_INPUTS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0804_ACC_WINDOW_COMP_DISABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0805_ACC_WINDOW_COMPS_MODES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0806_ACC_FEATURE_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10001_RESERVED_IRQ_HANDLER_INVOKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10002_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10101_UNSUPPORTED_CHANNEL_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10102_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10103_UNSUPPORTED_RECEIVER_FILTER"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10301_NO_PORT_PINS_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10500_UNSUPPORTED_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1201_DATAFLASH_MEM_OUTSIDE_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1202_DATAFLASH_ERASE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1203_DATAFLASH_WRITE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1401_DMA_PERIPH_NOT_AVAIL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1402_DMA_INVALID_IRQ" value="report"/>
        <property key="warningmessagebreakoptions.W1403_DMA_INVALID_SFR" value="report"/>
        <property key="warningmessagebreakoptions.W1404_DMA_INVALID_DMA_ADDR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1405_DMA_IRQ_DIR_MISMATCH"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1600_PPS_INVALID_MAP" value="report"/>
        <property key="warningmessagebreakoptions.W1601_PPS_INVALID_PIN_DESCRIPTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1800_PWM_TIMER_SELECTION_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1801_PWM_TIMER_SELECTION_BAD_CLOCK_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1802_PWM_TIMER_MISSING_PERSCALER_INFO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2001_INPUTCAPTURE_TMR3_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2002_INPUTCAPTURE_CAPTURE_EMPTY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2003_INPUTCAPTURE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2004_INPUTCAPTURE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2501_OUTPUTCOMPARE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2502_OUTPUTCOMPARE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2503_OUTPUTCOMPARE_BAD_TRIGGER_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2700_MPU_ILLEGAL_DREGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2701_MPU_INVALID_REGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3000_LPM_READ_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3010_SPM_WRITE_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6001_RTT_FORBIDDEN_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6002_RTT_BAD_WRITING_ALMV"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6003_RTT_BAD_WRITING_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7001_SMT_CLK_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7002_SMT_SIG_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7003_SMT_WIN_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8001_OSC_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8002_OSC_RESERVED_FEXTOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9001_TMR_GATE_AND_EXTCLOCK_ENABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9002_TMR_NO_PIN_AVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9003_TMR_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9201_UART_TX_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9202_UART_TX_CAPTUREFILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9203_UART_TX_INVALIDINTERRUPTMODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9204_UART_RX_EMPTY_QUEUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9205_UART_TX_BADFILE" value="report"/>
        <property key="warningmessagebreakoptions.W9206_UART_RESERVED_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9207_UART_UNABLETOCLOSE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9401_CVREF_INVALIDSOURCESELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9402_CVREF_INPUT_OUTPUTPINCONFLICT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9601_COMP_FVR_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9602_COMP_DAC_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9603_COMP_CVREF_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9604_COMP_SLOPE_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9605_COMP_PRG_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9607_COMP_DGTL_FLTR_OPTION_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9609_COMP_DGTL_FLTR_CLK_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_FVR_INVALID_MODE_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_SCL_BAD_SUBTYPE_INDICATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9802_SCL_FILE_NOT_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9803_SCL_FAILED_TO_READ_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9804_SCL_UNRECOGNIZED_LABEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9805_SCL_UNRECOGNIZED_VAR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9901_RTSP_INVALID_OPERATION_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9902_RTSP_FLASH_PROGRAM_WRITE_PROTECTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.displaywarningmessagesoption"
                  value=""/>
        <property key="warningmessagebreakoptions.warningmessages" value="holdstate"/>
      </Tool>
      <XC8-CO>
        <property key="coverage-enable" value=""/>
        <property key="stack-guidance" value="false"/>
      </XC8-CO>
      <XC8-config-global>
        <property key="advanced-elf" value="true"/>
        <property key="constdata-progmem" value="true"/>
        <property key="gcc-opt-driver-new" value="true"/>
        <property key="gcc-opt-std" value="-std=c99"/>
        <property key="gcc-output-file-format" value="dwarf-3"/>
        <property key="mapped-progmem" value="false"/>
        <property key="omit-pack-options" value="false"/>
        <property key="omit-pack-options-new" value="1"/>
        <property key="output-file-format" value="-mcof,+elf"/>
        <property key="smart-io-format" value=""/>
        <property key="stack-size-high" value="auto"/>
        <property key="stack-size-low" value="auto"/>
        <property key="stack-size-main" value="auto"/>
        <property key="stack-type" value="compiled"/>
        <property key="user-pack-device-support" value=""/>
        <property key="wpo-lto" value="false"/>
      </XC8-config-global>
    </conf>
  </confs>
</configurationDescriptor>
